LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices



Reply
 
Search this Thread
Old 01-05-2007, 10:13 PM   #91
Yogstr
LQ Newbie
 
Registered: Dec 2005
Posts: 21

Rep: Reputation: 0
the keys


Got it working.

I am not sure why, but something went horribly wrong with the package management handeling system for both yast and smart. Shortly after writing the above post, both Yast, and SMart stopped working alltogether (neither would even start)

Being a fresh install (updated), it wasnt too difficult to re-install suse10.1 in it's entirety.

I found some additional information on Packman's and Guru's web site about adding the appropriate keys to the rpm subsystem, which i followed. Then I re-installed Smart (using Yast), found the appropriate updated packages for xine, amarok, codecs...etc, and re-installed these. Apart from some minor dependancy issues (ruby being required and not found anywhere on the system (it's on the install discs. After resolving these, all the required software updated and installed without error.

Cheers Greg
 
Old 01-10-2007, 10:37 AM   #92
Theshadowtaker
LQ Newbie
 
Registered: Jan 2007
Posts: 2

Rep: Reputation: 0
First part is not about SMART .. just didnt feel like cutting, pasting, and posting another topic.

Hello everyone, I'm Ess(Not My real Name, Yes I'm male.). I am a complete Linux Noob, and I have some problems with installing software that I hope that you fine people will help me with a little. The first problem is with VLC for Linux. I am using SUSE Linux. OS Information

OS:Linux 2.6.16.13-4-default i686
System:SUSE LINUX 10.1 (i586)
KDE:3.5.1 Level "a"

When I try to install VLC the following message displays

Quote:
libart_lgpl.so.2 is needed by vlc-0.2.80-1.i686
libdb.so.2 is needed by vlc-0.2.80-1.i686
libgnome.so.32 is needed by vlc-0.2.80-1.i686
libgnomesupport.so.0 is needed by vlc-0.2.80-1.i686
libgnomeui.so.32 is needed by vlc-0.2.80-1.i686
libpng.so.2 is needed by vlc-0.2.80-1.i686
libqt.so.2 is needed by vlc-0.2.80-1.i686
I have typed in...

Quote:
Rpm rpm -ivh /tmp/vlc-0.2.80-1.i686.rpm and I have typed in
rpm -uvh /tmp/vlc-0.2.80-1.i686.rpm.
But no matter what I still get identical results.
Can anyone tell me how to install the lib files? Where do I get them? I can't just download them because I use Linux and home and I go to the Library to download files, on a windows PC.. They do not use the Linux OS. If anyone can help me with this I'd be really pleased. Thank you for your time to at least look at my situation.
Another problem I've had is with Smart.
I installed the RPM-PYTHON.. but I still get dependency errors

SMART

First I entered the command..
Quote:
rpm -Uvh /tmp/smart*.rpm
and the result was..

Quote:
warning: /tmp/smart-0.41-28.guru.suse101.i686.rpm: Header V3 DSA signature: NOKEY, key ID 58857177
error: Failed dependencies:
smart-beta = 0.50rc1-10.guru.suse101 is needed by smart-beta-ksmarttray-0.50rc1-10.guru.suse101.i686
What did I do incorrectly?

I am truly sorry to bother you all with these Novice questions. Just I think Linux is a really cool OS and I would like to learn how to install things properly. I guess I'm trying to do too many things at once, I am a language hobbyist after all, learning, Japanese, Korean, Dutch, and.... Vietnamese what harm will learning another language cause? Even if it is for a PC.

Hontou Arigatou Gozaimasu
 
Old 01-23-2007, 09:10 PM   #93
kenoyerism
LQ Newbie
 
Registered: Jan 2007
Distribution: Suse 10.2, Mepis, Mandrake
Posts: 6

Rep: Reputation: 0
How about on Suse 9.3?

I'm having trouble getting Kaffeine (or Amarok) to play any of the music files I've moved from Windows. RealPlayer does fine. But it doesn't use the same codecs . . . I guess. I downloaded xine lib stuff, but don't know how to install. I couldn't find an rpm package, so YaSt doesn't want to help.

 
Old 01-24-2007, 04:52 AM   #94
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Original Poster
Rep: Reputation: 73
Quote:
Originally Posted by kenoyerism
I'm having trouble getting Kaffeine (or Amarok) to play any of the music files I've moved from Windows. RealPlayer does fine. But it doesn't use the same codecs . . . I guess. I downloaded xine lib stuff, but don't know how to install. I couldn't find an rpm package, so YaSt doesn't want to help.

For Suse 9.3, follow this guide.
 
Old 01-24-2007, 04:56 AM   #95
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Original Poster
Rep: Reputation: 73
Theshadowtaker, you seem to be mixing smart beta and smart stable packages. Make sure the versions match on all your smart* packages. As for the vlc issue, you can install the required packages using YAST or SMART. The packages you need to install are libgnome, libart_lgpl, libpng, libgnomeui, db2 and qt.
 
Old 01-24-2007, 06:36 AM   #96
johanesa
LQ Newbie
 
Registered: Dec 2006
Posts: 8

Rep: Reputation: 0
xine issues

Hello,
I've tryied to follow the procedure but I was stuck at installing the smart rpms. the konsole says unable to find directory by "glob"
What's wrong?
Thanks
 
Old 01-24-2007, 07:02 AM   #97
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Original Poster
Rep: Reputation: 73
Quote:
Originally Posted by johanesa
Hello,
I've tryied to follow the procedure but I was stuck at installing the smart rpms. the konsole says unable to find directory by "glob"
What's wrong?
Thanks
Please post the exact error messages you get and let us know on which step the error occurs.
 
Old 01-24-2007, 12:42 PM   #98
kenoyerism
LQ Newbie
 
Registered: Jan 2007
Distribution: Suse 10.2, Mepis, Mandrake
Posts: 6

Rep: Reputation: 0
libdvdcss?

Okay, I can do that.

But will DVD software make Amarok and Kaffeine play Mp3's and .wav files? I guess it could.

Just checking.
 
Old 01-24-2007, 02:37 PM   #99
kenoyerism
LQ Newbie
 
Registered: Jan 2007
Distribution: Suse 10.2, Mepis, Mandrake
Posts: 6

Rep: Reputation: 0
Got it!

reddazz,

Thanks, Kaffeine works now. That link you gave me was a great tutorial on installing rpm's in Suse 9.3. After following the guide and updating Kaffeine and xine, I opened Kaffeine. The installation window that popped up said that no Win32 codecs were found.

I got the win32 codecs rpm from PackMan, installed it, and BANG . . . Kaffeine played my old windows music files!

Amarok still doesn't play anything. Suggestions?
 
Old 01-25-2007, 02:25 AM   #100
johanesa
LQ Newbie
 
Registered: Dec 2006
Posts: 8

Rep: Reputation: 0
Problem to install Xine on 10.0 suse

Quote:
Originally Posted by reddazz
Please post the exact error messages you get and let us know on which step the error occurs.
Thanks Redazz,

Here is the report
Quote:
johanesa:~ # rpm -Uvh /tmp/xine/smart* .rpm
error: File not found by glob: /tmp/xine/smart*
error: open of .rpm failed: No such file or directory
johanesa:~ #
Thanks for your help
Johanesa
 
Old 01-25-2007, 05:26 AM   #101
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Original Poster
Rep: Reputation: 73
Quote:
Originally Posted by kenoyerism
reddazz,

Thanks, Kaffeine works now. That link you gave me was a great tutorial on installing rpm's in Suse 9.3. After following the guide and updating Kaffeine and xine, I opened Kaffeine. The installation window that popped up said that no Win32 codecs were found.

I got the win32 codecs rpm from PackMan, installed it, and BANG . . . Kaffeine played my old windows music files!

Amarok still doesn't play anything. Suggestions?
Are you using the Xine engine with Amarok? If so, then it should use the same plugins/codecs as Kaffeine. If you are using any other engine then you may not be able to play some MS media file types.

Last edited by reddazz; 01-25-2007 at 11:54 AM.
 
Old 01-25-2007, 05:28 AM   #102
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Original Poster
Rep: Reputation: 73
Quote:
Thanks Redazz,

Here is the report
Code:
johanesa:~ # rpm -Uvh /tmp/xine/smart* .rpm
error: File not found by glob: /tmp/xine/smart*
error: open of .rpm failed: No such file or directory
johanesa:~ #
Thanks for your help
Johanesa
That error means that rpm cannot find any rpms called "smart" in the /tmp/xine directory. Are you sure you saved the smart rpms in /tmp/xine?
 
Old 01-29-2007, 07:20 AM   #103
johanesa
LQ Newbie
 
Registered: Dec 2006
Posts: 8

Rep: Reputation: 0
Quote:
Originally Posted by reddazz
That error means that rpm cannot find any rpms called "smart" in the /tmp/xine directory. Are you sure you saved the smart rpms in /tmp/xine?
Hi Reddazz,

I am sure I saved the smart files in that directory.
Thanks
Johanesa
 
Old 02-11-2007, 09:47 AM   #104
Cyber_Wolf
LQ Newbie
 
Registered: Feb 2007
Posts: 2

Rep: Reputation: 0
Question Problem is not solved =(

I've done everything, but it still can't play *.avi files... What could be wrong with decoders? I'm new with Linux, so probably I've done somethig wrong, but I was followin all tips whch u made.

Last edited by Cyber_Wolf; 02-11-2007 at 10:32 AM.
 
Old 02-11-2007, 10:32 AM   #105
Cyber_Wolf
LQ Newbie
 
Registered: Feb 2007
Posts: 2

Rep: Reputation: 0
Quote:
Originally Posted by Cyber_Wolf
I've done everything, but it still can't play *.avi files... What could be wrong with decoders? I'm new with Linux, so probably I've done somethig wrong, but I was followin all tips whch u made.
Sorry for that post, I found out where was my mistake. Thx for very usefull topic.
 
  


Reply

Tags
audio, boot, codec, design, distribution, distro, distros, linux, mandriva, mplayer, totem, voice, website, wma, wmv, xine


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
how to remove suse casteriated xine and install full version uriah Linux - Newbie 10 11-07-2006 03:30 AM
Looking for a Windows replacement OS w/ full web browsing capabilities devhen Linux - General 11 06-29-2006 10:00 PM
SUSE 10 - Kaffeine XIne Engine problem fernley Suse/Novell 3 02-01-2006 02:25 PM
besides xine engine, what else engine can be used in kaffeine? bravehao Linux - Newbie 1 06-04-2005 08:34 AM
How to enable linux filesystem capabilities for kernel 2.24.18 toubo Linux - General 8 08-20-2004 11:09 AM


All times are GMT -5. The time now is 04:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration